Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class GetParamsDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerProperty
              org.codehaus.groovy.grails.web.metaclass.GetParamsDynamicProperty

    public class GetParamsDynamicProperty
    extends AbstractDynamicControllerProperty

A dynamic property that adds a "params" map to a controller for accessing request and controller parameters.

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `PROPERTY_NAME`

Fields inherited from class AbstractDynamicControllerProperty
request, response

Constructor Summary
`GetParamsDynamicProperty(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `addParam(java.lang.String paramName, java.lang.Object paramValue)`
`void` | `addParams(java.util.Map params)`
`java.lang.Object` | `get(java.lang.Object object)`
`void` | `set(java.lang.Object object, java.lang.Object newValue)`

Methods inherited from class AbstractDynamicProperty
get, getPropertyName, isPropertyMatch, set

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

Constructor Detail

### GetParamsDynamicProperty

    public GetParamsDynamicProperty(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

Method Detail

### addParam

    public void addParam(java.lang.String paramName, java.lang.Object paramValue)

### addParams

    @java.lang.SuppressWarnings("rawtypes")
    public void addParams(java.util.Map params)

### get

    @java.lang.Override
    public java.lang.Object get(java.lang.Object object)

### set

    @java.lang.Override
    public void set(java.lang.Object object, java.lang.Object newValue)

Groovy Documentation